LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XCompressedDocumentHandler Interface Reference

A compressed XDocumentHandler interface. More...

`import"XCompressedDocumentHandler.idl";`

Inheritance diagram for XCompressedDocumentHandler:

## Public Member Functions
void | compressedStartDocument () raises ( com::sun::star::xml::sax::SAXException )
void | compressedEndDocument () raises ( com::sun::star::xml::sax::SAXException )
void | compressedStartElement ([in] string aName, [in] sequence< XMLAttribute > aAttributes) raises ( com::sun::star::xml::sax::SAXException )
void | compressedEndElement ([in] string aName) raises ( com::sun::star::xml::sax::SAXException )
void | compressedCharacters ([in] string aChars) raises ( com::sun::star::xml::sax::SAXException )
void | compressedIgnorableWhitespace ([in] string aWhitespaces) raises ( com::sun::star::xml::sax::SAXException )
void | compressedProcessingInstruction ([in] string aTarget, [in] string aData) raises ( com::sun::star::xml::sax::SAXException )
void | compressedSetDocumentLocator ([in] long columnNumber, [in] long lineNumber, [in] string publicId, [in] string systemId) raises ( com::sun::star::xml::sax::SAXException )
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

A compressed XDocumentHandler interface.

All methods in this interface have the same function with methods in the XDocumentHandler interface.

Because there is no interface parameter in these methods, so using this interface to transfer SAX event is thought to have better performance than using the XDocumentHandler interface, in case of when UNO C++/Java bridge is involved.

## Member Function Documentation

## ◆ compressedCharacters()

void compressedCharacters | ( | [in] string | aChars | ) |
raises | ( | com::sun::star::xml::sax::SAXException
| ) |  |

## ◆ compressedEndDocument()

void compressedEndDocument | ( |  | ) |
raises | ( | com::sun::star::xml::sax::SAXException
| ) |  |

## ◆ compressedEndElement()

void compressedEndElement | ( | [in] string | aName | ) |
raises | ( | com::sun::star::xml::sax::SAXException
| ) |  |

## ◆ compressedIgnorableWhitespace()

void compressedIgnorableWhitespace | ( | [in] string | aWhitespaces | ) |
raises | ( | com::sun::star::xml::sax::SAXException
| ) |  |

## ◆ compressedProcessingInstruction()

void compressedProcessingInstruction | ( | [in] string | aTarget,
|  | [in] string | aData
| ) |  |
raises | ( | com::sun::star::xml::sax::SAXException
| ) |  |

## ◆ compressedSetDocumentLocator()

void compressedSetDocumentLocator | ( | [in] long | columnNumber,
|  | [in] long | lineNumber,
|  | [in] string | publicId,
|  | [in] string | systemId
| ) |  |
raises | ( | com::sun::star::xml::sax::SAXException
| ) |  |

## ◆ compressedStartDocument()

void compressedStartDocument | ( |  | ) |
raises | ( | com::sun::star::xml::sax::SAXException
| ) |  |

## ◆ compressedStartElement()

void compressedStartElement | ( | [in] string | aName,
|  | [in] sequence< XMLAttribute > | aAttributes
| ) |  |
raises | ( | com::sun::star::xml::sax::SAXException
| ) |  |

The documentation for this interface was generated from the following file:

- com/sun/star/xml/csax/XCompressedDocumentHandler.idl